%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python tool to convert raw disk images to stream-optimized VMDK files
Name: VMDKstream
Version: 0.3
Release: 5%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPLv2
Group: Development/Libraries
BuildArch: noarch
Url: https://github.com/imcleod/VMDK-stream-converter
Requires: python
BuildRequires: python
BuildRequires: python-setuptools

%description
While adding support for VMWare ESX/vSphere to the Image Factory project
we discovered that we needed to support the "stream-optimized" variant
of VMDK.

This module is a first draft attempt to do so.

It is known to work on ESXi 4.1.

This format is only useful if you are attempting to import virtual machines
into ESX using the vSphere SOAP API and HTTP POST uploads of image files.
(In which case, it is required.)


%prep
%setup -n %{name}-%{version} -q


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --root=$RPM_BUILD_ROOT


%files
%{python_sitelib}/VMDKstream.py*
%{python_sitelib}/VMDKstream-*.egg-info


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 24 2014 Ian McLeod <imcleod@redhat.com> - 0.3-1
- new upstream version 0.3
- VirtualBox compatibility
- header decode util functions

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 07 2011 Chris Lalancette <clalance@redhat.com> - 0.2-2
- Fix up Requires and BuildRequires

* Wed Jun 29 2011 Chris Lalancette <clalance@redhat.com> - 0.2-1
- Initial package.
